Package: groovy.swing.impl

## [Java] Class TableLayoutRow

- groovy.swing.impl.TableLayoutRow

-     public class TableLayoutRow
      extends Object

  Represents a row in a table layout

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TableLayoutRow(TableLayout tableLayoutTag)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addCell(TableLayoutCell tag)` Adds a new cell to this row
    `` | `public void` | `addComponentsForRow()`
    `` | `public int` | `getRowIndex()` Returns: the row index of this row

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public TableLayoutRow(TableLayout tableLayoutTag)

  - ### Method Detail

    - #### public void addCell(TableLayoutCell tag)

      Adds a new cell to this row

      Parameters:
        `tag` - the td element

    - #### public void addComponentsForRow()

    - #### public int getRowIndex()

      Returns:
        the row index of this row